#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n;
    int mas[100100];
	cin>>n;
    for (int i=1; i<=n; i++)
        cin >> mas[i];
    sort(mas+1, mas+n+1);
    long long ans=0;
    int p=0;
    for (int i=n; i>=1; i--)
    {
        if (mas[i] != mas[i+1]) 
        {
            ans+= max(0, mas[i] - n + i);
            p=1;
        }
        else 
        {
            ans+= max(0, mas[i] - n + i + p);
            p++;
        }
    }
    cout << ans << '\n';
}
